Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package cmd
  Definition Classes
    tools
-  object Opt

  Machinery for what amounts to a command line specification DSL.

  Machinery for what amounts to a command line specification DSL. It is designed so the same specification trait can be used for two different purposes: generating a singleton specification object (trait Reference) and providing well typed vals for every configurable option in response to any given set of arguments (trait Instance).

  Definition Classes
    cmd
- Error
- Implicit
- Instance
- Reference

t

scala.tools.cmd.Opt

# Error 

###

#### trait Error extends AnyRef

Self Type
  Error with Implicit
Source
  Opt.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Instance
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Error
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Error to any2stringadd[Error] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Error, B)
   Implicit
     This member is added by an implicit conversion from Error to ArrowAssoc[Error] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Error) ⇒ Boolean, msg: ⇒ Any): Error
   Implicit
     This member is added by an implicit conversion from Error to Ensuring[Error] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Error) ⇒ Boolean): Error
   Implicit
     This member is added by an implicit conversion from Error to Ensuring[Error] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Error
    Implicit
      This member is added by an implicit conversion from Error to Ensuring[Error] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Error
    Implicit
      This member is added by an implicit conversion from Error to Ensuring[Error] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def fail(msg: String): Nothing
    Attributes
      protected
15.  def failOption(arg: String, why: String): Nothing
    Attributes
      protected
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Error to StringFormat[Error] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  def →[B](y: B): (Error, B)
    Implicit
      This member is added by an implicit conversion from Error to ArrowAssoc[Error] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Error to any2stringadd[Error]

### Inherited by implicit conversion StringFormat from Error to StringFormat[Error]

### Inherited by implicit conversion Ensuring from Error to Ensuring[Error]

### Inherited by implicit conversion ArrowAssoc from Error to ArrowAssoc[Error]

### Ungrouped